.d-flex.flex-row.mb-4
  .flex-shrink-0
    = v.avatar(user: message.user, size: 48)
  .flex-grow-1.ms-2.card
    .card-header.d-flex.justify-content-between
      %div
        - if message.user&.admin?
          = message.user&.username
        - else
          = message.user&.email || 'unknown'
      %div
        %span.me-2
          %i= time_ago message.created_at, ago: true
        - if message&.user == current_user
          = v.mini_button(icon: 'pencil', url: edit_message_path(message))
          = v.mini_button(icon: 'trash', url: confirm_message_path(message))
    .card-body
      %p.card-text
        = message.content